package com.yidianling.im.session.extension;

import com.alibaba.fastjson.JSONObject;

/**
 * Created by Wi1ls on 2016/11/28;
 */
public class CustomAttachConsultCallStatus extends CustomAttachment{
    private final String KEY_STATUS="status";
    private final String KEY_CALLER="caller";
    private final String KEY_CALLEE="callee";
    private final String KEY_DURATION="duration";
    private String status;
    private String caller;
    private String callee;
    private String duration;

    public CustomAttachConsultCallStatus() {
        super(CustomAttachmentType.TYPE_CUSTOMER_CONSULT_CALL_STATUS);
    }

    @Override
    protected void parseData(JSONObject data) {
        this.status=data.getString(KEY_STATUS);
        this.caller=data.getString(KEY_CALLER);
        this.callee=data.getString(KEY_CALLEE);
        this.duration=data.getString(KEY_DURATION);
    }

    @Override
    protected JSONObject packData() {
        JSONObject data = new JSONObject();
        data.put(KEY_STATUS,status);
        data.put(KEY_CALLER, caller);
        data.put(KEY_CALLEE, callee);
        data.put(KEY_DURATION, duration);
        return data;
    }

    public String getStatus() {
        return status;
    }

    public String getCaller() {
        return caller;
    }

    public String getCallee() {
        return callee;
    }

    public String getDuration() {
        return duration;
    }
}
